CENTRIFUGE-DOWNLOAD(1)

NAME
centrifuge-download - centrifuge helper to download databases

DESCRIPTION
centrifuge-download [<options>] <database>

ARGUMENT

<database>
    One of refseq, genbank, contaminants or taxonomy:

- use refseq or genbank for genomic sequences,
    - contaminants gets contaminant sequences from UniVec and EmVec, - taxonomy for taxonomy mappings.

COMMON OPTIONS

-o <directory>
    Folder to which the files are downloaded. Default: '.'.

-P <# of threads>
    Number of processes when downloading (uses xargs). Default: '1'

  WHEN USING database refseq OR genbank:

-d <domain>
    What domain to download. One or more of bacteria, viral, archaea, fungi, protozoa, invertebrate, plant, vertebrate_mammalian, vertebrate_other (comma separated).

-a <assembly level>
    Only download genomes with the specified assembly level. Default: 'Complete Genome'.

-c <refseq category>
    Only download genomes in the specified refseq category. Default: any.

-t <taxids>
    Only download the specified taxonomy IDs, comma separated. Default: any.

-r  Download RNA sequences, too.

-u  Filter unplaced sequences.

-m  Mask low-complexity regions using dustmasker. Default: off.

-l  Modify header to include taxonomy ID. Default: off.

-g  Download GI map.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.